idf_component_register(
    SRCS
        "main.c"
        "es8388.c"
        "audio.c"
        "net.c"
        "cmd_exec.c"
        "hook_client.c"
        "phone.c"
        "tones.c"
        "dialer.c"
        "conversation.c"
        "dtmf.c"
        "turn_client.c"
        "slic.c"
        "plip_gamebook.c"
    INCLUDE_DIRS "."
    PRIV_REQUIRES
        driver
        esp_driver_gpio
        esp_event
        esp_http_client
        esp_http_server
        esp_netif
        esp_timer
        esp_wifi
        json
        nvs_flash
        spiffs
        fatfs
        sdmmc
        scenario_mesh
)
